%define major           1
%define girmajor        1.0
%define libname         %mklibname xapp %{major}
%define develname       %mklibname xapp -d
%define girname         %mklibname xapp-gir %{girmajor}

Name:           xapps
Version:        2.8.6
Release:        %mkrel 1
Summary:        Common files for XApp desktop apps
Group:          Development/Other
License:        LGPLv2+
URL:            https://github.com/linuxmint
Source0:        %url/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %url/flags/archive/1.0.2/flags-1.0.2.tar.gz
BuildRequires:  gnome-common
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  intltool
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libgnomekbd)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:  meson
Requires:       inxi
Requires:       xdg-utils
Requires:       fpaste

%description
This package includes files that are shared between several XApp
apps (i18n files and configuration schemas).

%package -n %{libname}
Group:          System/Libraries
Summary:        JavaScript bindings based on %{name}
Obsoletes:      %{_lib}xapps0 < 1.0.3-2

%description -n %{libname}
This package contains JavaScript bindings based on %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}xapps-devel < 1.0.3-2

%description -n %{develname}
Files for development with %{name}.

%package        mate
Summary:        Mate status applet with HIDPI support
Requires:       %{name} = %{version}-%{release}

%description    mate
Mate status applet with HIDPI support.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{_lib}xapps-gir1.0 < 1.0.3-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package     -n python3-xapps-overrides
Summary:        Python3 files for %{name}
BuildArch:      noarch
Requires:       python3-gobject3
Requires:       %{name} >= %{version}-%{release}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-gobject3
%{?python_provide:%python_provide python3-xapps-overrides}

%description -n python3-xapps-overrides
Python3 files for XApp apps.

%prep
%autosetup -p1 -n xapp-%{version}

%build
%meson -D deprecated_warnings=false
%meson_build

%install
%meson_install

tar -xf %{SOURCE1} -C %{buildroot}%{_datadir} --strip 3

rm %{buildroot}%{_datadir}/format

%{_bindir}/desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/xapp-sn-watcher.desktop

%find_lang xapp

%files -f xapp.lang
%license COPYING
%doc README.md
%{_sysconfdir}/X11/xinit/xinitrc.d/*.sh
%{_sysconfdir}/xdg/autostart/xapp-sn-watcher.desktop
%{_bindir}/pastebin
%{_bindir}/upload-system-info
%{_bindir}/xfce4-set-wallpaper
%{_bindir}/xapp-gpu-offload
%{_datadir}/iso-flag-png/
%{_datadir}/glib-2.0/schemas/org.x.apps.*.xml
%{_datadir}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/icons/hicolor/scalable/places/*.svg
%{_datadir}/icons/hicolor/scalable/categories/*.svg
%{_datadir}/dbus-1/services/org.x.StatusNotifierWatcher.service
%{_libdir}/gtk-3.0/modules/libxapp-gtk3-module.so
%{_datadir}/icons/hicolor/scalable/emblems/emblem-xapp-favorite.svg
%{_libdir}/xapps/xapp-sn-watcher
# sn-watcher changes cursor
%dir %{_libdir}/xapps/

%files -n %{libname}
%{_libdir}/libxapp.so.%{major}
%{_libdir}/libxapp.so.%{version}

%files -n %{girname}
%{_libdir}/girepository-1.0/XApp-1.0.typelib

%files -n python3-xapps-overrides
%{python3_sitearch}/gi/overrides

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libxapp.so
%{_libdir}/pkgconfig/xapp.pc
%{_datadir}/gir-1.0/XApp-1.0.gir
%{_datadir}/glade/catalogs/xapp-glade-catalog.xml
%{_datadir}/vala/vapi/xapp.vapi
%{_datadir}/vala/vapi/xapp.deps

%files mate
%{_libexecdir}/xapps/
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateXAppStatusAppletFactory.service
%{_datadir}/mate-panel/applets/org.x.MateXAppStatusApplet.mate-panel-applet


%changelog
* Fri Nov 29 2024 daviddavid <daviddavid> 2.8.6-1.mga10
+ Revision: 2119803
- new version: 2.8.6

* Sat Jul 27 2024 joequant <joequant> 2.8.5-1.mga10
+ Revision: 2082679
- update to 2.8.5

* Tue Dec 19 2023 papoteur <papoteur> 2.8.0-2.mga10
+ Revision: 2019516
- Mass Rebuild - Python 3.12

* Sun Dec 03 2023 joequant <joequant> 2.8.0-1.mga10
+ Revision: 2012747
- update to 2.8.0

* Sat Sep 02 2023 joequant <joequant> 2.6.1-1.mga10
+ Revision: 1983633
- update to 2.6.1

* Wed Jun 14 2023 daviddavid <daviddavid> 2.6.1-1.mga9
+ Revision: 1962024
- new version: 2.6.1

* Wed Jun 14 2023 daviddavid <daviddavid> 2.4.1-4.mga9
+ Revision: 1962015
- fix duplicate xapp-sn-watcher file between main pkg and xapps-mate sub-pkg

* Wed Jun 14 2023 daviddavid <daviddavid> 2.4.1-3.mga9
+ Revision: 1962006
- libxapp gobject-introspection also require python3-xapps-overrides
  https://github.com/linuxmint/cinnamon/issues/10556#issuecomment-1591476795
- main pkg require python3-xapps-overrides

* Sat Nov 19 2022 joequant <joequant> 2.4.1-1.mga9
+ Revision: 1909071
- update to 2.4.1

* Sun Aug 07 2022 joequant <joequant> 2.2.14-1.mga9
+ Revision: 1875909
- update to 2.2.14

* Fri Jul 01 2022 joequant <joequant> 2.2.12-1.mga9
+ Revision: 1867012
- update to 2.2.12

* Sun Apr 17 2022 joequant <joequant> 2.2.8-1.mga9
+ Revision: 1850905
- update to 2.2.8

* Fri Apr 01 2022 umeabot <umeabot> 2.2.5-3.mga9
+ Revision: 1838708
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 2.2.5-2.mga9
+ Revision: 1779251
- rebuild for python-3.10

* Wed Nov 24 2021 joequant <joequant> 2.2.5-1.mga9
+ Revision: 1758956
- update to 2.2.5

* Tue Aug 10 2021 wally <wally> 2.2.3-1.mga9
+ Revision: 1741006
- new version 2.2.3

* Wed Jun 02 2021 joequant <joequant> 2.2.0-1.mga9
+ Revision: 1729182
- update to 2.2.0

* Sat Mar 20 2021 joequant <joequant> 2.0.7-2.mga9
+ Revision: 1705209
- update to python3.9

* Sat Feb 27 2021 joequant <joequant> 2.0.7-1.mga9
+ Revision: 1693054
- update to 2.0.7 and activate sn-watcher

* Thu Jan 28 2021 joequant <joequant> 2.0.6-1.mga8
+ Revision: 1673819
- update to 2.0.6

* Tue Dec 15 2020 joequant <joequant> 2.0.4-1.mga8
+ Revision: 1657586
- update to 2.0.4

* Fri Dec 11 2020 joequant <joequant> 2.0.3-1.mga8
+ Revision: 1655263
- update to 2.0.3

* Tue Dec 08 2020 joequant <joequant> 2.0.0-1.mga8
+ Revision: 1654530
- update to 2.0.0

* Wed Sep 30 2020 joequant <joequant> 1.8.10-1.mga8
+ Revision: 1631325
- update to 1.8.10

* Sun Jun 28 2020 joequant <joequant> 1.8.8-1.mga8
+ Revision: 1599811
- update sources
- update to 1.8.8

* Sat May 23 2020 joequant <joequant> 1.8.6-1.mga8
+ Revision: 1587047
- update to 1.8.6

* Sat May 16 2020 joequant <joequant> 1.8.4-1.mga8
+ Revision: 1584308
- update to 1.8.4

* Tue Feb 18 2020 umeabot <umeabot> 1.6.9-2.mga8
+ Revision: 1539326
- Mageia 8 Mass Rebuild
+ joequant <joequant>
- update to 1.6.9

* Sat Dec 07 2019 joequant <joequant> 1.6.6-1.mga8
+ Revision: 1464943
- upgrade to 1.6.6

* Fri Oct 11 2019 joequant <joequant> 1.4.9-1.mga8
+ Revision: 1451455
- update to 1.4.9
- update to 1.4.9

* Wed Sep 25 2019 daviddavid <daviddavid> 1.4.5-3.mga8
+ Revision: 1445766
- add patch to drop python2 support
- rebuild for python3.8
- drop python2 support

* Thu Apr 18 2019 umeabot <umeabot> 1.4.5-2.mga7
+ Revision: 1392980
- Rebuild with meson 0.50.1

* Sun Feb 03 2019 joequant <joequant> 1.4.5-1.mga7
+ Revision: 1362777
- update to 1.4.5

* Thu Jan 17 2019 joequant <joequant> 1.4.2-1.mga7
+ Revision: 1357678
- update to 1.4.2

* Tue Jan 08 2019 tv <tv> 1.4.0-2.mga7
+ Revision: 1351596
- rebuild with python 3.7

* Sun Nov 04 2018 joequant <joequant> 1.4.0-1.mga7
+ Revision: 1328364
- update to 1.4.0

* Mon Sep 10 2018 joequant <joequant> 1.2.2-3.mga7
+ Revision: 1258252
- rebuild with new gtk/atk

* Sun Sep 02 2018 joequant <joequant> 1.2.2-2.mga7
+ Revision: 1256240
- rebuild to fix atk api from 2.29.1 to 2.29.2

* Wed Aug 08 2018 joequant <joequant> 1.2.2-1.mga7
+ Revision: 1250270
- upgrade to 1.2.2

* Sat Jun 30 2018 joequant <joequant> 1.2.1-1.mga7
+ Revision: 1240991
- remove python3
- update to 1.2.1

* Wed Nov 01 2017 joequant <joequant> 1.0.4-1.mga7
+ Revision: 1175358
- add python2 dependency
- update to 1.0.4

* Thu Sep 07 2017 joequant <joequant> 1.0.3-4.mga7
+ Revision: 1151747
- upgrade to new gcc/binutils

* Mon Jul 17 2017 joequant <joequant> 1.0.3-3.mga7
+ Revision: 1124077
- fix obsoletes
- fix obsoletes

* Mon Jul 17 2017 joequant <joequant> 1.0.3-2.mga7
+ Revision: 1124062
- change obsoletes

* Mon Jul 17 2017 joequant <joequant> 1.0.3-1.mga7
+ Revision: 1123959
- add source for 1.0.3
- update to 1.0.3

* Tue Jan 24 2017 wally <wally> 1.0.2-2.mga6
+ Revision: 1083321
- fix lib major and libification
- require gir typelibs with devel pkg

* Tue Jan 17 2017 joequant <joequant> 1.0.2-1.mga6
+ Revision: 1082151
- fix gobject requires
- imported package xapps

